Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.render
Class AbstractRenderer

    java.lang.Object
      org.jboss.portal.format.render.AbstractRenderer

Direct Known Subclasses:
  ToHTMLRenderer, ToTextRenderer

    public abstract class AbstractRenderer

extends java.lang.Object

An abstract renderer.

Field Summary
`protected org.apache.log4j.Logger` | `log` The logger.
`protected java.io.Writer` | `writer` Hold the final result.

Constructor Summary
`AbstractRenderer()`

Method Summary
`abstract void` | `render(char[] chars, int offset, int length)` Render.
`void` | `render(java.lang.String string)` Render.
`void` | `setWriter(java.io.Writer writer)` Set the write that will hold the rendered result.
`protected void` | `write(char[] chars, int offset, int length)`
`protected void` | `write(java.lang.String s)` Helper method that catch any IOException throw by the write.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected final org.apache.log4j.Logger log

  The logger.

### writer

    protected java.io.Writer writer

  Hold the final result.

Constructor Detail

### AbstractRenderer

    public AbstractRenderer()

Method Detail

### render

    public abstract void render(char[] chars,
                                int offset,
                                int length)

  Render.

### render

    public void render(java.lang.String string)

  Render.

### setWriter

    public final void setWriter(java.io.Writer writer)

  Set the write that will hold the rendered result.

### write

    protected final void write(java.lang.String s)

  Helper method that catch any IOException throw by the write.

### write

    protected final void write(char[] chars,
                               int offset,
                               int length)

  See Also:
    `write(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD